﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5034/5054 (1 yr) VER VISA /9500+1Hd
DATE:                  2012-07-19 06:43:47
AUTHOR:                Fluke
REVISION:              $Revision: 27038 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       308
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models covered:
#        DPO5034, DPO5054
#        MSO5034, MSO5054
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Tek MSO/DPO5000 Remote Interface Connection
#        Sub IEEE-488.2 *IDN? VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 *IDN? Check Response
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub Tek MSO/DPO5000 Preliminary Instructions
#        Sub Tek MSO/DPO5000 Additional Equipment Req.
#        Sub Tek MDO/MSO/DPO Self-Test VISA
#        Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
#        Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
#        Sub Tek DPO5000 (1 yr) DC Balance VER VISA
#        Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
#        Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
#        Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
#        Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /9500
#        Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
#        Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
#        Sub Tek DPO5000 (1 yr) Trigger Output VISA
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#
#  Required Files:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright

  1.010  MATH         @VisaUSB = 1; @VisaLAN = 1
  1.011  CALL         Sub Tek MSO/DPO5000 Remote Interface Connection
  1.012  JMPL         END                          @Abort

  1.013  VISA         *RST

  1.014  CALL         Sub IEEE-488.2 *IDN? VISA
  1.015  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.016  JMPL         END                          @Abort

  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Verification Method (No NTHROW)
  1.020  CALL         Sub Tek MSO/DPO5000 Preliminary Instructions
  1.021  CALL         Sub Tek MSO/DPO5000 Additional Equipment Req.

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   INPUT IMPEDANCE: Ch1               RANDOM NOISE: Ch1
#    4.   INPUT IMPEDANCE: Ch2               RANDOM NOISE: Ch2
#    5.   INPUT IMPEDANCE: Ch3               RANDOM NOISE: Ch3
#    6.   INPUT IMPEDANCE: Ch4               RANDOM NOISE: Ch4
#    7.   DC BALANCE: Ch1                    DC BALANCE: Ch1
#    8.   DC BALANCE: Ch2                    DC BALANCE: Ch2
#    9.   DC BALANCE: Ch3                    DC BALANCE: Ch3
#   10.   DC BALANCE: Ch4                    DC BALANCE: Ch4
#   11.   DCV GAIN ACC: Ch1                  INPUT IMPEDANCE: Ch1
#   12.   DCV GAIN ACC: Ch2                  DCV GAIN ACC: Ch1
#   13.   DCV GAIN ACC: Ch3                  DC OFFSET: Ch1
#   14.   DCV GAIN ACC: Ch4                  BANDWIDTH: Ch1
#   15.   DC OFFSET: Ch1                     DELTA TIME: Ch1
#   16.   DC OFFSET: Ch2                     SAMPLE RATE AND DELAY TIME
#   17.   DC OFFSET: Ch3                     INPUT IMPEDANCE: Ch2
#   18.   DC OFFSET: Ch4                     DCV GAIN ACC: Ch2
#   19.   BANDWIDTH: Ch1                     DC OFFSET: Ch2
#   20.   BANDWIDTH: Ch2                     BANDWIDTH: Ch2
#   21.   BANDWIDTH: Ch3                     DELTA TIME: Ch2
#   22.   BANDWIDTH: Ch4                     INPUT IMPEDANCE: Ch3
#   23.   SAMPLE RATE AND DELAY TIME         DCV GAIN ACC: Ch3
#   24.   RANDOM NOISE: Ch1                  DC OFFSET: Ch3
#   25.   RANDOM NOISE: Ch2                  BANDWIDTH: Ch3
#   26.   RANDOM NOISE: Ch3                  DELTA TIME: Ch3
#   27.   RANDOM NOISE: Ch4                  INPUT IMPEDANCE: Ch4
#   28.   DELTA TIME ACC: Ch1                DCV GAIN ACC: Ch4
#   29.   DELTA TIME ACC: Ch2                DC OFFSET: Ch4
#   30.   DELTA TIME ACC: Ch3                BANDWIDTH: Ch4
#   31.   DELTA TIME ACC: Ch4                DELTA TIME: Ch4
#   32.   TRIGGER OUTPUT                     TRIGGER OUTPUT

  1.022  MATH         @Timeout = 10000

  1.023  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.024  JMPL         END                           @Abort

  1.025  CALL         Sub Tek MDO/MSO/DPO Self-Test VISA
  1.026  JMPL         END                           @Abort

  1.027  IF           ISVAR("@Timer")
  1.028  MATH         @StartTime = UTIME()
  1.029  ENDIF

  1.030  MATH         @MultiHead = 0
  1.031  JMPL         RANDOM_NOISE

# -----  Input Impedance  ---------------------------------------------------

  1.032  LABEL        INPUT_IMPEDANCE_CH1
  1.033  MATH         @Chan = 1
  1.034  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
  1.035  JMPL         DCV_GAIN_CH1

  1.036  LABEL        INPUT_IMPEDANCE_CH2
  1.037  MATH         @Chan = 2
  1.038  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
  1.039  JMPL         DCV_GAIN_CH2

  1.040  LABEL        INPUT_IMPEDANCE_CH3
  1.041  MATH         @Chan = 3
  1.042  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
  1.043  JMPL         DCV_GAIN_CH3

  1.044  LABEL        INPUT_IMPEDANCE_CH4
  1.045  MATH         @Chan = 4
  1.046  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
  1.047  JMPL         DCV_GAIN_CH4

# -----  DC Balance  --------------------------------------------------------

  1.048  LABEL        DC_BALANCE
  1.049  MATH         @Chan = 1
  1.050  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.053  MATH         @Chan = 3
  1.054  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.055  MATH         @Chan = 4
  1.056  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.057  JMPL         INPUT_IMPEDANCE_CH1

# -----  DCV Gain  ----------------------------------------------------------

  1.058  LABEL        DCV_GAIN_CH1
  1.059  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
  1.060  JMPL         END                          @Abort
  1.061  JMPL         DC_OFFSET_CH1

  1.062  LABEL        DCV_GAIN_CH2
  1.063  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
  1.064  JMPL         END                          @Abort
  1.065  JMPL         DC_OFFSET_CH2

  1.066  LABEL        DCV_GAIN_CH3
  1.067  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
  1.068  JMPL         END                          @Abort
  1.069  JMPL         DC_OFFSET_CH3

  1.070  LABEL        DCV_GAIN_CH4
  1.071  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
  1.072  JMPL         END                          @Abort
  1.073  JMPL         DC_OFFSET_CH4

# -----  DC Offset  ---------------------------------------------------------

  1.074  LABEL        DC_OFFSET_CH1
  1.075  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
  1.076  JMPL         END                          @Abort
  1.077  JMPL         BANDWIDTH_CH1

  1.078  LABEL        DC_OFFSET_CH2
  1.079  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
  1.080  JMPL         END                          @Abort
  1.081  JMPL         BANDWIDTH_CH2

  1.082  LABEL        DC_OFFSET_CH3
  1.083  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
  1.084  JMPL         END                          @Abort
  1.085  JMPL         BANDWIDTH_CH3

  1.086  LABEL        DC_OFFSET_CH4
  1.087  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
  1.088  JMPL         END                          @Abort
  1.089  JMPL         BANDWIDTH_CH4

# -----  Bandwidth   --------------------------------------------------------

  1.090  LABEL        BANDWIDTH_CH1
  1.091  CALL         Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
  1.092  JMPL         END                          @Abort
  1.093  JMPL         DELTA_TIME_CH1

  1.094  LABEL        BANDWIDTH_CH2
  1.095  CALL         Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
  1.096  JMPL         END                          @Abort
  1.097  JMPL         DELTA_TIME_CH2

  1.098  LABEL        BANDWIDTH_CH3
  1.099  CALL         Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
  1.100  JMPL         END                          @Abort
  1.101  JMPL         DELTA_TIME_CH3

  1.102  LABEL        BANDWIDTH_CH4
  1.103  CALL         Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
  1.104  JMPL         END                          @Abort
  1.105  JMPL         DELTA_TIME_CH4

# -----  Sample Rate   ------------------------------------------------------

  1.106  LABEL        SAMPLE_RATE
  1.107  MATH         @Chan = 1
  1.108  CALL         Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /9500
  1.109  JMPL         INPUT_IMPEDANCE_CH2

# -----  Random Noise   -----------------------------------------------------

  1.110  LABEL        RANDOM_NOISE
  1.111  MATH         @Chan = 1
  1.112  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.113  MATH         @Chan = 2
  1.114  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.115  MATH         @Chan = 3
  1.116  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.117  MATH         @Chan = 4
  1.118  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.119  JMPL         DC_BALANCE

# -----  Delta Time   -------------------------------------------------------

  1.120  LABEL        DELTA_TIME_CH1
  1.121  CALL         Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
  1.122  JMPL         SAMPLE_RATE

  1.123  LABEL        DELTA_TIME_CH2
  1.124  CALL         Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
  1.125  JMPL         INPUT_IMPEDANCE_CH3

  1.126  LABEL        DELTA_TIME_CH3
  1.127  CALL         Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
  1.128  JMPL         INPUT_IMPEDANCE_CH4

  1.129  LABEL        DELTA_TIME_CH4
  1.130  CALL         Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500

# -----  Trigger Output   ---------------------------------------------------

  1.131  CALL         Sub Tek DPO5000 (1 yr) Trigger Output VISA

  1.132  LABEL        END

  1.133  IF           ISVAR("@Timer")
  1.134  MATH         @StopTime = UTIME()
  1.135  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
  1.136  RSLT         =
  1.137  RSLT         =Elapsed Time: [V ElapsedTime]
  1.138  ENDIF

  1.139  END
