﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MSO Get Digital Threshold Values VISA /9500
DATE:                  2019-05-17 13:06:08
AUTHOR:                Fluke
REVISION:              $Revision: 27193 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       367
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, CAD, GMO
#
#  Models Covered:
#        MSO2000, MSO2000B Series
#        MSO3000 Series
#        MDO3000 Series
#        MSO4000, MSO4000B Series
#        MDO4000, MDO4000B Series
#        MSO5000 Series
#
#  Source:
#        MSO2000B and DPO2000B Series Oscilloscopes
#        Specification and Performance Verification Technical Reference
#        PN 077-0735-00
#
#  Additional Equipment Required:
#        Digital Test Probe
#          MSO2000B Series
#        Digital Calibration Fixture (PN 174-4535-00)
#          MSO4000 Series
#        TCFA074 Digital Calibration Fixture (PN 067-2121-00)
#          MSO4000B Series
#          MDO4000 Series
#          MSO5000 Series
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Memory Register Usage:
#
#    M[100] - M[115]:  Channel state (0 or 1)
#    M[120] - M[135]:  Average transition voltage
#    M[140] - M[155]:  Average transition voltage accuracy
#    M[160] - M[175]:  Average transition voltage found (0 or 1)
#
#    @iState: Index offset to access channel state in M registers.
#    @iVolt:  Index offset to access voltage in M registers.
#    @iAcc:   Index offset to access voltage accuracy in M registers.
#    @iFound: Index offset to access voltage found in M registers.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         -2 Threshold: [V @Threshold] V
  1.002  CALL         Sub Tek MDO/MSO/DPO Get Series
  1.003  MATH         MSO2  = ZCMP(@Series, "MSO2000")
  1.004  MATH         MSO2B = ZCMP(@Series, "MSO2000B")
  1.005  MATH         MSO3  = ZCMP(@Series, "MSO3000")
  1.006  MATH         MSO4  = ZCMP(@Series, "MSO4000")
  1.007  MATH         MSO4B = ZCMP(@Series, "MSO4000B")
  1.008  MATH         MSO5  = ZCMP(@Series, "MSO5000")
  1.009  MATH         MDO3  = ZCMP(@Series, "MDO3000")
  1.010  MATH         MDO4  = ZCMP(@Series, "MDO4000")
  1.011  MATH         MDO4B = ZCMP(@Series, "MDO4000B")

  1.012  TARGET

  1.013  DO
  1.014  VISA         *CLS;*RST
  1.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.016  JMPL         END                          @Abort
# Setting @Chan to 0 so that the following sub procedures turns off all time domain channels.
  1.017  MATH         @Chan = 0
  1.018  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
  1.019  JMPL         END                          @Abort

  1.020  IF           @ShowConnection

  1.021  IF           MSO2  || MSO2B || MSO3 || MDO3
  1.022  DISP         Disconnect all clip leads from P6316 Test Probe.
  1.022  DISP
  1.022  DISP         Connect P6316 Test Probe to 0.1 in pin adapter.
  1.022  DISP
  1.022  DISP         Connect the P6316 Test Probe to DUT.
  1.022  DISP
  1.022  DISP         Connect the CH 1 Active Head to the pin adapter.

  1.023  ELSEIF       MSO4

  1.024  DO
  1.025  MEMI         Select connection method.
  1.025  MEMI
  1.025  MEMI         1. P6516 Test Probe and 0.1 in pin adapter, or
  1.025  MEMI
  1.025  MEMI         2. Cable Assembly (PN 174-4535-00).
  1.026  UNTIL        (MEM == 1) || (MEM == 2)

  1.027  IF           MEM == 1
  1.028  DISP         Disconnect all clip leads from P6516 Test Probe.
  1.028  DISP
  1.028  DISP         Connect P6516 Test Probe to 0.1 in pin adapter.
  1.028  DISP
  1.028  DISP         Connect the P6516 Test Probe to DUT.
  1.028  DISP
  1.028  DISP         Connect the CH 1 Active Head to the pin adapter.
  1.029  ELSE
  1.030  DISP         Connect Cable Assembly to DUT.
  1.030  DISP
  1.030  DISP         Connect CH 1 Active Head to Cable Assembly.
  1.031  ENDIF

  1.032  ELSEIF       MDO4 || MDO4B || MSO4B || MSO5

  1.033  DO
  1.034  MEMI         Select connection method.
  1.034  MEMI
  1.034  MEMI         1. P6616 Test Probe and 0.1 in pin adapter, or
  1.034  MEMI
  1.034  MEMI         2. Calibration Adapter (PN 067-2121-00).
  1.035  UNTIL        (MEM == 1) || (MEM == 2)

  1.036  IF           MEM == 1
  1.037  DISP         Disconnect all clip leads from P6616 Test Probe.
  1.037  DISP
  1.037  DISP         Connect P6616 Test Probe to 0.1 in pin adapter.
  1.037  DISP
  1.037  DISP         Connect the P6616 Test Probe to DUT.
  1.037  DISP
  1.037  DISP         Connect the CH 1 Active Head to the pin adapter.
  1.038  ELSE
  1.039  DISP         Connect Calibration Adapter to DUT.
  1.039  DISP
  1.039  DISP         Connect CH 1 Active Head to Calibration Adapter.
  1.040  ENDIF

  1.041  ELSE
  1.042  DISP         [V @Series] Series not supported!
  1.043  MATH         @Abort = 1
  1.044  ENDIF        ; MSO2 || MSO2B || MSO3 || MDO3

  1.045  MATH         @ShowConnection = 0
  1.046  ENDIF        ; @ShowConnection

# Set the displayed state of all the digital inputs to On.
  1.047  VISA         SEL:DALL ON
  1.048  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA

  1.049  IF           NOT(@Abort)

  1.050  IF           MSO5
  1.051  MATH         Source = "DIGITALALL"
  1.052  ELSE
  1.053  MATH         Source = "DIG"
  1.054  ENDIF

  1.055  VISA         DAT:SOU [V Source];ENC ASCI
  1.056  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.057  ENDIF

  1.058  IF           NOT(@Abort)
  1.059  VISA         DAT:START 1;STOP 1
  1.060  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.061  ENDIF

  1.062  IF           MSO5

# Call CLEARM to clear Vertical Button Labels.
  1.063  IF           NOT(@Abort)
  1.064  VISA         CLEARM
  1.065  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.066  ENDIF

# Call CLEARM to clear Horizontal Button Labels.
  1.067  IF           NOT(@Abort)
  1.068  VISA         CLEARM
  1.069  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.070  ENDIF

  1.071  ENDIF        ; MSO5

  1.072  IF           NOT(@Abort)
  1.073  MATH         Ch = 0

  1.074  DO
  1.075  VISA         D[V Ch]:THRESHOLD [V @Threshold]
# Delete when debugged for MSO5000.
  1.076  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.077  MATH         Ch = Ch + 1
  1.078  UNTIL        Ch > 15

# Set flags to assume all required states/data is achieved.
  1.079  MATH         AllLow  = 1; LowToHigh = 1
  1.080  MATH         AllHigh = 1; HighToLow = 1

  1.081  HEAD         -2 Threshold: [V @Threshold] V (Low to High)
  1.082  VISA         TRIG:A:EDGE:SOU D0;SLO RIS
  1.083  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA

# Define Waveform Preamble necessary for certain DUT series.
  1.084  IF           FIND(@ModelNum, "MSO2", 1)
  1.085  VISA         WFMOUTPRE:ENCDG ASCI
  1.086  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.087  VISA         WFMOUTPRE:COMPOSITION SINGULAR_YT
  1.088  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.089  ENDIF

# Make sure all channels are low at starting voltage.
  1.090  MATH         Voltage = @LowVoltage; MEM = Voltage
  1.091  9500         V                                                 S
  1.092  WAIT         [D3000]
  1.093  CALL         Sub Tek MSO Read Digital Data VISA

# Abort if all channels are not initially low.
  1.094  MATH         Ch = 0
  1.095  MATH         AllLow = NOT(MGET(Ch + @iState))
  1.096  MATH         Ch = 1

  1.097  DO
  1.098  MATH         AllLow = AllLow || NOT(MGET(Ch + @iState))
  1.099  MATH         Ch = Ch + 1
  1.100  UNTIL        Ch > 15

  1.101  ENDIF        ; NOT(@Abort)

  1.102  IF           AllLow && NOT(@Abort)
# Initialize "Transition Found" flags to false.
  1.103  MATH         Ch = 0

  1.104  DO
  1.105  MATH         MSET((Ch + @iFound), 0)
  1.106  MATH         Ch = Ch + 1
  1.107  UNTIL        Ch > 15

# Get low to high transition value.
  1.108  DO
  1.109  MATH         MEM = Voltage
  1.110  9500         V                                                 S
  1.111  WAIT         [D3000]
  1.112  CALL         Sub Tek MSO Read Digital Data VISA
  1.113  MATH         Ch = 0

  1.114  DO

# Save transition voltage and reference accuracy.
  1.115  IF           NOT(MGET(Ch + @iFound)) && MGET(Ch + @iState)
  1.116  MATH         MSET((Ch + @iVolt), Voltage)
  1.117  MATH         MSET((Ch + @iAcc), REFACC())
  1.118  MATH         MSET((Ch + @iFound), 1)
  1.119  ENDIF

  1.120  MATH         Ch = Ch + 1
  1.121  UNTIL        Ch > 15

  1.122  MATH         Voltage = Voltage + 10E-3
  1.123  UNTIL        @FoundVoltages || (Voltage > @HighVoltage)

  1.124  MATH         LowToHigh = @FoundVoltages
  1.125  ENDIF        ; AllLow && NOT(@Abort)

  1.126  IF           LowToHigh && NOT(@Abort)
  1.127  HEAD         -2 Threshold: [V @Threshold] V (High to Low)
  1.128  MATH         Conf = CONF("Datron 9500")
  1.129  TARGET
  1.130  VISA         TRIG:A:EDGE:SOU D0;SLO FALL
  1.131  MATH         Voltage = @HighVoltage; MEM = Voltage
  1.132  9500         V                                                 S
  1.133  WAIT         [D3000]
  1.134  CALL         Sub Tek MSO Read Digital Data VISA

# Abort if all channels are not initially high.
  1.135  MATH         Ch = 0
  1.136  MATH         AllHigh = MGET(Ch + @iState)
  1.137  MATH         Ch = 1

  1.138  DO
  1.139  MATH         AllHigh = AllHigh && MGET(Ch + @iState)
  1.140  MATH         Ch = Ch + 1
  1.141  UNTIL        Ch > 15

  1.142  ENDIF        ; LowToHigh && NOT(@Abort)

  1.143  IF           AllHigh && NOT(@Abort)
# Initialize "Transition Found" flags to false.
  1.144  MATH         Ch = 0

  1.145  DO
  1.146  MATH         MSET((Ch + @iFound), 0)
  1.147  MATH         Ch = Ch + 1
  1.148  UNTIL        Ch > 15

# Get high to low transition value.
  1.149  DO
  1.150  MATH         MEM = Voltage
  1.151  9500         V                                                 S
  1.152  WAIT         [D3000]
  1.153  CALL         Sub Tek MSO Read Digital Data VISA
  1.154  MATH         Ch = 0

  1.155  DO

# Save average transition voltage and reference accuracy.
  1.156  IF           NOT(MGET(Ch + @iFound)) && NOT(MGET(Ch + @iState))
  1.157  MATH         Avg = (MGET(Ch + @iVolt) + Voltage) / 2
  1.158  MATH         MSET(Ch + @iVolt, Avg)
  1.159  MATH         Acc = RSS2(MGET(Ch + @iAcc), REFACC()) / Conf * 2
  1.160  MATH         MSET((Ch + @iAcc), Acc)
  1.161  MATH         MSET((Ch + @iFound), 1)
  1.162  ENDIF

  1.163  MATH         Ch = Ch + 1
  1.164  UNTIL        Ch > 15

  1.165  MATH         Voltage = Voltage - 10E-3
  1.166  UNTIL        @FoundVoltages || (Voltage < @LowVoltage)

  1.167  MATH         HighToLow = @FoundVoltages
  1.168  ENDIF        ; AllHigh && NOT(@Abort)

  1.169  IF           AllLow && LowToHigh && AllHigh && HighToLow
  1.170  MATH         @GotData = 1; Done = 1
  1.171  ELSE
  1.172  MATH         @GotData = 0

  1.173  IF           NOT(AllLow)
  1.174  MATH         Msg = "All channels are not initially low."
  1.175  ELSEIF       NOT(LowToHigh)
  1.176  MATH         Msg = "All channels did not transition to high."
  1.177  ELSEIF       NOT(AllHigh)
  1.178  MATH         Msg = "All channels are not initially high."
  1.179  ELSEIF       NOT(HighToLow)
  1.180  MATH         Msg = "All channels did not transition to low."
  1.181  ENDIF

  1.182  OPBR         -z [V Msg]
  1.182  OPBR
  1.182  OPBR         Do you wish to try again?
  1.183  MATH         Done = NOT(MEM1)

  1.184  IF           Done
# Force a "FAIL" condition, since data could not be obtained.
  1.185  EVAL   -e 0 : [V Msg]
  2.001  MATH         @Abort = 1
  2.002  ELSE
  2.003  MATH         @ShowConnection = 1
  2.004  ENDIF

  2.005  ENDIF

  2.006  UNTIL        Done || @Abort

  2.007  LABEL        END
  2.008  HEAD         -2
  2.009  9500         *                                                 S
  2.010  END
